"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Configuration = void 0;
const obj = {
    dev: {
        emailConfig: {
            emailLogin: "https://vpce-0d2c931d97f5053c1-tdgb73x7.execute-api.us-west-2.vpce.amazonaws.com/oauth2-token",
            emailService: "https://vpce-0d2c931d97f5053c1-tdgb73x7.execute-api.us-west-2.vpce.amazonaws.com/send-mail",
            auth: {
                host: "notification-service-dev.internal.msit.hpcloud.hp.com",
            },
        },
        elasticSearchUrl: "https://vpc-auth-es-a6b36r4bksjge6romxh2iet7su.us-west-2.es.amazonaws.com",
        apigeeDBUrl: "https://hpcorp-ob-dev.default.api.hp.com/paladin-api-tropos/v1/graphql",
        hasuraDBUrl: "https://hpcorp-ob-dev.default.api.hp.com/paladin-api-tropos/v1/graphql",
        authTokenUrl: "https://hpcorp-ob-dev.default.api.hp.com/paladin-auth/oauth/token",
        authServiceUrl: 'https://zn65xlrfp3.execute-api.us-east-1.amazonaws.com/devPortal'
    },
    test: {
        emailConfig: {
            emailLogin: "https://vpce-02537459964cfa384-nqu0e7bp.execute-api.us-west-2.vpce.amazonaws.com/oauth2-token",
            emailService: "https://vpce-02537459964cfa384-nqu0e7bp.execute-api.us-west-2.vpce.amazonaws.com/send-mail",
            auth: {
                host: "notification-service-itg.internal.msit.hpcloud.hp.com",
            },
        },
        elasticSearchUrl: "https://vpc-auth-es-a6b36r4bksjge6romxh2iet7su.us-west-2.es.amazonaws.com",
        apigeeDBUrl: "https://hpcorp-ob-test.default.api.hp.com/paladin-api-tropos/v1/graphql",
        hasuraDBUrl: "https://paladin-api-service-stg.hpcloud.hp.com/v1/graphql",
        authTokenUrl: "https://hpcorp-ob-test.default.api.hp.com/paladin-auth/oauth/token",
        authServiceUrl: 'https://cfh2ejo9bl.execute-api.us-west-2.amazonaws.com/test'
    },
    prod: {
        emailConfig: {
            emailLogin: "https://vpce-02a68406cef815e0a-32zfj56o.execute-api.us-west-2.vpce.amazonaws.com/oauth2-token",
            emailService: "https://vpce-02a68406cef815e0a-32zfj56o.execute-api.us-west-2.vpce.amazonaws.com/send-mail",
            auth: {
                host: "notification-service.internal.msit.hpcloud.hp.com",
            },
        },
        elasticSearchUrl: 'https://vpc-paladin-es-pro-fywtlui7e54upcq34zjjgxcili.us-west-2.es.amazonaws.com',
        apigeeDBUrl: "https://print.services.api.hp.com/paladin-api-tropos/v1/graphql",
        hasuraDBUrl: "https://paladin-api-service.hpcloud.hp.com/v1/graphql",
        authTokenUrl: "https://print.services.api.hp.com/paladin-auth/oauth/token",
        authServiceUrl: 'https://cbcf86ur65.execute-api.us-west-2.amazonaws.com/prod'
    },
};
function Configuration() {
    const appEnv = process.env.stage || "dev";
    return obj[appEnv];
}
exports.Configuration = Configuration;
